﻿ # -*- coding: utf-8 -*-
#colors = ['000000', '00008B', '008B00', '4876FF', 'FF8C00', 'C20820', '9400D3', '8A2BE2']
#colors = ['FE0E00', 'FE7903', 'F8F400', '60FF00', '02C9B3', '02C9B3', 'D042F3', 'D042F3']

file_config = 'scripts/client/mods/stat_config.xml'
config = {'colors':['FE0E00', 'FE7903', 'F8F400', '60FF00', '02C9B3', 'D042F3'], 'region':'ru', 'left':"<font color='#{color}'>*</font> {player_name}<br/>", 'right':"<font color='#{color}'>*</font> {player_name}<br/>"}
import BigWorld
def loadSettings():
    import ResMgr
    conf = ResMgr.openSection(file_config)
    global config
    config['region'] = conf['region'].asString
    config['left'] = conf['left'].asString
    config['right'] = conf['right'].asString
    subsec = conf['colors'].values()
    config['colors'] = []
    for val in subsec:
        config['colors'].append(val.asString)
    #except:
    #Настройки не загружены, работаем с дефолтом.
    #    pass
loadSettings()
print config


from avatar import PlayerAvatar
old__onBecomePlayer = PlayerAvatar.onBecomePlayer
players = {}
def getstat():
    global players
    from gui.arena_info import getClientArena
    arena = getClientArena()
    if arena != None:
        #print 'Loading arena rating'
        players = []
        for pl in  arena.vehicles.values():
            players.append(str(pl['accountDBID']))
        res = ','.join(players)
        request = 'http://api.worldoftanks.{region}/wot/account/info/?application_id=demo&fields=global_rating&account_id={id}'.format(id=res, region=config['region']) + res
        import urllib2
        import json
        players = json.loads(urllib2.urlopen(request, timeout=30).read())['data']
    else:
        #print 'Error while loading!'
        players = {}

from gui.Scaleform.PlayersPanel import PlayersPanel
old__getFormattedStrings = PlayersPanel.getFormattedStrings
def new__getFormattedStrings(self, vInfoVO, vStatsVO, ctx, fullPlayerName):
    uid = vInfoVO.player.accountDBID
    wins = players.get(str(uid), None)
    if wins == None or players == None:
        getstat()
        wins = players.get(str(uid), None)
    fullPlayerName, fragsString, shortName =  old__getFormattedStrings(self, vInfoVO, vStatsVO, ctx, fullPlayerName)
    fullPlayerName_new = fullPlayerName.replace("<br/>", "")
    player_name=fullPlayerName_new 
    if wins != None:
        color = config['colors'][0]
        if wins['global_rating'] >= 2020 and wins['global_rating'] < 4185:
            color = config['colors'][1]
        elif wins['global_rating'] >= 4185 and wins['global_rating'] < 6340:
            color = config['colors'][2]
        elif wins['global_rating'] >= 6340 and wins['global_rating'] < 8525:
            color = config['colors'][3]
        elif wins['global_rating'] >= 8525 and wins['global_rating'] < 9930:
            color = config['colors'][4]
        elif wins['global_rating'] >= 9930:
            color = config['colors'][5]
        if vInfoVO.team != BigWorld.player().team:
            fullPlayerName = str(config['right'])
        else:
            fullPlayerName = str(config['left'])
        fullPlayerName = fullPlayerName.format(color = color, rating = wins['global_rating'], player_name=player_name)
    return (fullPlayerName, fragsString, shortName)
PlayersPanel.getFormattedStrings = new__getFormattedStrings

from gui.BattleContext import _BattleContext
old__getFullPlayerNameWithParts = _BattleContext.getFullPlayerNameWithParts

def new__getFullPlayerNameWithParts(self, vID = None, accID = None, pName = None, showVehShortName = True, showClan = True, showRegion = True):
    fullName, pName, clanAbbrev, regionCode, vehShortName = old__getFullPlayerNameWithParts(self, vID, accID, pName, showVehShortName, showClan, showRegion)
    if accID is not None:
        wins = players.get(str(accID), None)
        if wins == None or players == None:
            getstat()
            wins = players.get(str(id), None)
        if wins != None:
            fullName = str(wins['global_rating']) + ' ' + fullName
            pName = str(wins['global_rating']) + ' ' + pName
    return (fullName,
         pName,
         clanAbbrev,
         regionCode,
         vehShortName)
_BattleContext.getFullPlayerNameWithParts = new__getFullPlayerNameWithParts
